Bug 14163 - Kickstart Installation Failure
Kickstart Installation Failure
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brock Organ
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-17 14:04 EDT by Mark J. Watson
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-16 14:50:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Watson 2000-07-17 14:04:25 EDT
The kickstart file below works. However, when I try to create a RAID Level
1 with the /boot partition it fails. The only way that I have been able to
accomplish RAID Level 1 on the /boot partition is through the normal
install using fdisk. Can this be fixed?

lang en_US
keyboard us
nfs --server 192.168.1.1 --dir /exports/install/RedHat62
zerombr yes --ondisk sda
zerombr yes --ondisk sdb
clearpart --all --ondisk sda
clearpart --all --ondisk sdb
part /boot --size 23 --ondisk sda 
part /offset --size 23 --ondisk sdb 
part raid.11 --size 17280 --ondisk sda 
part raid.12 --size 17280 --ondisk sdb 
part raid.13 --size 54 --ondisk sda 
part raid.14 --size 54 --ondisk sdb
raid / --level 0 --device md1 raid.11 raid.12 
raid swap --level 0 --device md2 raid.13 raid.14
install
network --bootproto static --ip 192.168.1.2 --netmask 255.255.255.0
--gateway 192.168.1.1 --nameserver 192.168.1.1
mouse generic3ps/2
timezone --utc America/Chicago
rootpw password 
auth --enablemd5 --useshadow
xconfig --card "Matrox Millennium G200 SD 16MB" --monitor "NEC Multisync
6FG" --startxonboot
lilo --location mbr
reboot
%packages
@ Everything
%post
echo "Kickstarted `/bin/date`" > /etc/motd
cd /
mkdir imports
cd /imports
mkdir server
mkdir samba
mkdir workstation
cd / 
mkdir exports
cd /exports
mkdir install
mkdir samba
mount -t nfs 192.168.1.1:/exports/install/ /imports/server/
mount -t nfs 192.168.1.1:/exports/samba /imports/samba/
mount -t nfs 192.168.1.1:/exports/192.168.1.2/ /imports/workstation/
cp -f /imports/server/192.168.1.2/hosts /etc/
cp -f /imports/server/192.168.1.2/exports /etc/
cp -f /imports/server/192.168.1.2/smb.conf /etc/
cp -f /dev/null /var/state/dhcp/dhcpd.leases
cp -f /imports/server/192.168.1.2/dhcpd.conf /etc/
rpm -i /imports/server/PowerTools62/i386/mysql*.rpm
rpm -i /imports/server/PowerTools62/i386/vnc*.rpm
rpm -i /imports/server/PowerTools62/i386/portsent*.rpm
rpm -i /imports/server/PowerTools62/i386/amanda*.rpm
rpm -i /imports/server/PowerTools62/i386/xpinguin-1.0-3.1386.rpm
rpm -i /imports/server/PowerTools62/i386/xemacs-el*.rpm
rpm -i /imports/server/PowerTools62/i386/xemacs-[2Ximns]*.rpm
rpm -i /imports/server/download/*.rpm
rpm -i /imports/server/OpenMotif/*.rpm
rpm -i /imports/server/EDK/*.rpm
rpm -i /imports/server/CCVS/*.rpm
rpm -i /imports/server/security/*.rpm
cd /imports/server/
find . -depth -print | cpio -padm /exports/install/
cd /imports/samba/
find . -depth -print | cpio -padm /exports/samba/
useradd -p XaMPytACKLLuw mjwatson
cd /imports/workstation/
find . -depth -print | cpio -padm ~mjwatson/
umount /imports/server/
umount /imports/samba/
umount /imports/workstation/
#  This kickstart doesn't:
#	1) apply software updates /exports/install/Updates62;
#	2) apply kernel updates /exports/install/kernel;
#	3) setup sound, X, or initial services; or
#	4) install RealPlayer 7.0 /exports/install/downloads.
Comment 1 Michael Fulbright 2000-07-25 10:34:01 EDT
Brock please try to reproduce.
Comment 2 Brock Organ 2000-08-16 14:50:23 EDT
hmmm ... using the below ks file (based on your above supplied file) I was able
to install successfully with /boot using RAID 1 ...

% df -h
Filesystem            Size  Used Avail Use% Mounted on                          
/dev/md1              988M  129M  809M  14% /                                   
/dev/md3               68M  2.8M   62M   4% /boot                               
/dev/hda10             23M   13k   22M   0%
/offset                                                                                                                                                                       

% fdisk -l /dev/hda
Disk /dev/hda: 255 heads, 63 sectors, 787 cylinders                             
Units = cylinders of 16065 * 512 bytes                                           

Device Boot    Start       End    Blocks   Id  System                           
/dev/hda1   *         1        64    514048+  fd  Linux raid autodetect         
/dev/hda2            65       787   5807497+   5  Extended                      
/dev/hda5            65       128    514048+  fd  Linux raid autodetect         
/dev/hda6           129       137     72261   fd  Linux raid autodetect         
/dev/hda7           138       146     72261   fd  Linux raid autodetect         
/dev/hda8           147       155     72261   fd  Linux raid autodetect         
/dev/hda9           156       164     72261   fd  Linux raid autodetect         
/dev/hda10          165       167     24066   83 
Linux                                                      

Here is the kickstart file I used:

lang en_US
keyboard us
nfs --server foobar --dir /mnt/foo/6.2/i386
zerombr yes --ondisk hda
clearpart --all --ondisk hda
part /offset --size 23 --ondisk hda
part raid.11 --size 500 --ondisk hda
part raid.12 --size 500 --ondisk hda
part raid.13 --size 64 --ondisk hda
part raid.14 --size 64 --ondisk hda
part raid.15 --size 64 --ondisk hda
part raid.16 --size 64 --ondisk hda
raid / --level 0 --device md1 raid.11 raid.12
raid swap --level 0 --device md2 raid.13 raid.14
raid /boot --level 1 --device md3 raid.15 raid.16
install
network --bootproto dhcp
mouse generic3ps/2
timezone --utc America/Chicago
rootpw foobarbazandbooie
auth --enablemd5 --useshadow
xconfig --startxonboot
lilo --location mbr
%packages
@ Base
%post
echo "Kickstarted `/bin/date`" > /etc/motd


Note You need to log in before you can comment on or make changes to this bug.